function plot_network(cells,users,innerradius,handles);

global r;
h = waitbar(0,'Ploting Cells. Please wait...');
%frp=get(handles.popupmenu_frp,'Value');
for i=1:length(cells)
    axes(handles.network);
    if (strcmp(cells(i).type,'macro')==1)
        [vertexX vertexY]=generate_cells_vertices(cells(i).x,cells(i).y);
        if (strcmp(cells(i).color,'red')==1)
            fill(vertexX,vertexY,'r');
        elseif (strcmp(cells(i).color,'green')==1)
            fill(vertexX,vertexY,'g');
        else
            fill(vertexX,vertexY,[0,0.65,0]);
        end
        if i==1
            hold on;
        end
    elseif (strcmp(cells(i).type,'femto')==1)
        filledCircle([cells(i).x,cells(i).y],0.08*r,10,[0,0.20,0]);
    end
end
waitbar(0.5,h,'Ploting Users. Please wait...');
for i=1:length(users)
    if (strcmp(users(i).type,'macro')==1)
        filledCircle([users(i).x,users(i).y],r/20,10,'w');
        line([users(i).x ,users(i).finx],[users(i).y ,users(i).finy],'Color','white','LineStyle',':');
    else
        filledCircle([users(i).x,users(i).y],r/20,10,'y');
    end
end
hold off;
axis equal;
axis off
close(h)

function [vertexX,vertexY]=generate_cells_vertices(centerX,centerY)
global r;
v=30:60:390;
cv=r*cosd(v);
sv=r*sind(v);
vertexX=centerX+cv;
vertexY=centerY+sv;