clc;
clear all;
close all;
global cells;
global users;
global user;
global r;
global resource_block;
global WGNVariance;
global f;
global user_satisfaction;
global throughput;
global total_user_satisfaction;
global isd;
global averegedistance;
global totaltime;
global max_resource_per_user;
global alpha;
global bitsPerSymbol;
global Low;
global maxMacroPower;
global minMacroPower;
global maxFemtoPower;
global minFemtoPower;
global requiredRSRP;
global target_throughput;
global parameter_a;
global parameter_b;
global parameter_g;
global parameter_k;
global P_offset_o;
global antenna_gain;
global steps_number;
global fixedPower;
global femto_dist;
global QoS_Enabled;
global Plot_QoS_Enabled;

resource_block=50;
max_resource_per_user=2;
WGNVariance = 10^-9;
f=2000;
isd=1732; %(m)
r=(isd/sqrt(3));
BER = 10^(-6);
alpha = -1.5 / log(5 * BER);
steps_number=20;

requiredRSRP=-70;
Low=20;
maxMacroPower=46;  %dbm
minMacroPower=37;
maxFemtoPower=20;  %dbm
minFemtoPower=0; %dbm
parameter_a=0.7;
parameter_b=60;
parameter_g=-30;
parameter_k=0.1;
P_offset_o=100;
antenna_gain=14; %dbi
% penetrated floors 0
target_throughput=[1.2,0.2,0.05]*8*10^6; %mbps 1.2mb/s 0.2mb/s 0.05mb/s

% User Position: center/border/random
femto_dist = 'border';

% Enable QoS Scheduling: yes/no
QoS_Enabled = 'yes';

% Extract additional QoS Plot Figures
Plot_QoS_Enabled = 'yes';

mainlayout();